Package bitel.billing.server.admin.resource.bean.ip

# Class IPResourceRangeManager

java.lang.Object
bitel.billing.server.admin.resource.bean.ResourceManager<IPResourceRange>
bitel.billing.server.admin.resource.bean.ip.IPResourceRangeManager

Direct Known Subclasses:
  `IPNResourceManager`

    public abstract class IPResourceRangeManager
    extends ResourceManager<IPResourceRange>

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

  `con, mid, tableName`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IPResourceRangeManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `addFilters​(int categoryId, long ip1, long ip2, java.lang.StringBuilder query, boolean mask)` |
  `void` | `addResources​(int categoryId, java.util.Calendar date, long ip1, long ip2)` |
  `void` | `checkResource​(long ip1, long ip2, java.util.Calendar date)` |
  `void` | `deleteResource​(java.lang.String id)` |
  `IPResourceRange` | `getResource​(int id)` |
  `protected IPResourceRange` | `getResourceFromRs​(java.sql.ResultSet rs)` |
  `java.lang.Iterable<IPResourceRange>` | `getResourceIterator​(int categoryId, long ip1, long ip2, boolean mask)` |
  `java.util.List<IPResourceRange>` | `getResourceList​(int categoryId, long ip1, long ip2, boolean mask)` |
  `java.util.List<IPResourceRange>` | `getResourceListByIds​(java.lang.String ids)` |
  `protected IPResourceRangeUse` | `getResourceUseFromRs​(java.sql.ResultSet rs)` |
  `protected java.lang.String` | `getTableName()` |
  `void` | `installModule()` |
  `void` | `uninstallModule()` |
  `void` | `updateResource​(IPResourceRange range)` |
  `void` | `updateResourcePeriod​(java.lang.String ids, java.util.Calendar date1, java.util.Calendar date2)` |

  ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

  `changeResourceCategory, getResourceCount, loadStandartResourceFromRs, newResourceManager, syncResourceUse`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPResourceRangeManager

    public IPResourceRangeManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### updateResource

    public void updateResource​(IPResourceRange range) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `updateResource` in class `ResourceManager<IPResourceRange>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getResourceList

    public java.util.List<IPResourceRange> getResourceList​(int categoryId, long ip1, long ip2, boolean mask) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getResourceFromRs

    protected IPResourceRange getResourceFromRs​(java.sql.ResultSet rs) throws java.sql.SQLException
    Specified by:
      `getResourceFromRs` in class `ResourceManager<IPResourceRange>`
    Throws:
      `java.sql.SQLException`

  - ### addFilters

    protected void addFilters​(int categoryId, long ip1, long ip2, java.lang.StringBuilder query, boolean mask)

  - ### getTableName

    protected java.lang.String getTableName()
    Specified by:
      `getTableName` in class `ResourceManager<IPResourceRange>`

  - ### checkResource

    public void checkResource​(long ip1, long ip2, java.util.Calendar date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addResources

    public void addResources​(int categoryId, java.util.Calendar date, long ip1, long ip2)

  - ### deleteResource

    public void deleteResource​(java.lang.String id)
    Overrides:
      `deleteResource` in class `ResourceManager<IPResourceRange>`

  - ### getResourceIterator

    public java.lang.Iterable<IPResourceRange> getResourceIterator​(int categoryId, long ip1, long ip2, boolean mask)

  - ### updateResourcePeriod

    public void updateResourcePeriod​(java.lang.String ids, java.util.Calendar date1, java.util.Calendar date2)

  - ### getResourceListByIds

    public java.util.List<IPResourceRange> getResourceListByIds​(java.lang.String ids)

  - ### getResource

    public IPResourceRange getResource​(int id)

  - ### getResourceUseFromRs

    protected IPResourceRangeUse getResourceUseFromRs​(java.sql.ResultSet rs) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### installModule

    public void installModule() throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### uninstallModule

    public void uninstallModule() throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`